buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath("org.springframework.boot:spring-boot-gradle-plugin:2.2.7.RELEASE")
    }
}

apply plugin: 'java'
apply plugin: 'idea'
apply plugin: 'org.springframework.boot'
apply plugin: 'io.spring.dependency-management'

repositories {
    mavenCentral()
}

sourceCompatibility = 1.8
targetCompatibility = 1.8

dependencies {
    implementation 'org.springframework.boot:spring-boot-starter-web'
    implementation 'org.springframework.boot:spring-boot-starter-thymeleaf'
    implementation 'org.springframework.boot:spring-boot-starter-data-jpa'
    implementation 'org.springframework.security:spring-security-core'
    // implementation 'org.springframework.session:spring-session-jdbc'
    implementation 'com.github.gwenn:sqlite-dialect:0.1.0'
    implementation 'org.springframework.boot:spring-boot-devtools'
    implementation 'org.xerial:sqlite-jdbc:3.31.1'
    implementation 'org.yaml:snakeyaml:1.26'
    testCompile("org.springframework.boot:spring-boot-starter-test")
}

group 'org.hso'
version '0.1.0'

bootRun {
  args = ["--spring.profiles.active=dev --spring.config.location=classpath:/application.properties"]
}
